## python-csb43 0.10.1+dfsg

=== Makefile ===
#!/bin/bash

# SPDX-FileCopyrightText: 2024 wmj <wmj.py@gmx.com>
#
# SPDX-License-Identifier: LGPL-3.0-or-later

PYTHON=python
SETUP=setup.py
UPTOOL=twine

VERSION := $(shell python -m setuptools_scm)
DIST_FILES := \
	dist/csb43-$(VERSION)-py3-none-any.whl \
	dist/csb43-$(VERSION).tar.gz

.PHONY: clean-version upload doc upload-doc

test: $(SETUP) tox.ini
	$(PYTHON) -m tox

test-rebuild: $(SETUP) tox.ini
	$(PYTHON) -m tox -r

local-test: $(SETUP) tox.ini
	$(PYTHON) -m tox -e "py310-en,py310-es,py310-c"

local-test-rebuild: $(SETUP) tox.ini
	$(PYTHON) -m tox -r -e "py310-en,py310-es,py310-c"

clean: clean-pyco clean-cache clean-pycache

clean-pyco:
	@-find . -name "*.py[co]" -type f -delete

clean-cache:
	@-find . -name ".cache" -type d -ls -exec rm -rv {} \;

clean-pycache:
	@-find . -name "__pycache__" -type d -ls -exec rm -rv {} \;

clean-dist:
	-(mkdir -p dist.old && mv dist/* dist.old/)

clean-version:
	-rm -fr build/
	-rm -fr csb43.egg-info/

bdist: $(SETUP) clean clean-version
	$(PYTHON) -m build

doc:
	(cd doc && make clean && make html)

upload-doc: $(SETUP) doc
	$(PYTHON) $< upload_docs

dist: local-test-rebuild clean-version clean-dist bdist

dist/csb43-$(VERSION)-py3-none-any.whl: bdist

dist/csb43-$(VERSION).tar.gz: bdist

twine-check: $(DIST_FILES)
	$(UPTOOL) check $(DIST_FILES)

upload: $(SETUP) local-test-rebuild twine-check $(DIST_FILES)
	$(UPTOOL) upload $(DIST_FILES)
	
ofx: Makefile.ofx
	$(MAKE) -f $<

=== doc/Makefile ===
# SPDX-FileCopyrightText: 2024 wmj <wmj.py@gmx.com>
#
# SPDX-License-Identifier: LGPL-3.0-or-later

# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-csb43 0.9.2+dfsg

=== debian/changelog ===
python-csb43 (0.9.2+dfsg-1) unstable; urgency=medium

  * Merging upstream version 0.9.2.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 18 Jan 2023 17:18:16 +0100

python-csb43 (0.9.1+dfsg-3) unstable; urgency=medium

  * Correct the autopkgtests.
  * Correct the VCS* Headers in d/control.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sun, 09 Oct 2022 11:51:38 +0200

python-csb43 (0.9.1+dfsg-2) unstable; urgency=medium

  * Rebuild for unstable (source-only upload).

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 04 Oct 2022 09:06:48 +0200

python-csb43 (0.9.1+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #1020996)

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 30 Sep 2022 08:35:45 +0000

=== debian/control ===
Source: python-csb43
Section: python
Priority: optional
Maintainer: Debian Tryton Maintainers <team+tryton-team@tracker.debian.org>
Uploaders: Mathias Behrle <mathiasb@m9s.biz>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-babel,
               python3-lxml,
               python3-pycountry,
               python3-setuptools,
               python3-sphinx,
               python3-tablib,
               python3-wheel,
               python3-yaml
Standards-Version: 4.6.1.0
Testsuite: autopkgtest-pkg-python
Homepage: https://bitbucket.org/wmj/csb43
Vcs-Git: https://salsa.debian.org/tryton-team/python-csb43.git
Vcs-Browser: https://salsa.debian.org/tryton-team/python-csb43
Rules-Requires-Root: no

Package: python3-csb43
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Description: Spanish banks' CSB/AEB norm 43 converter (Python)
 This Python module provides tools for converting from the Spanish banks'
 format *CSB/AEB norm 43* to other file formats.
 .
 Supported formats:
 .
  - OFX v1.0.3 (SGML) & v2.1.1 (XML)
  - HomeBank CSV <http://homebank.free.fr/help/06csvformat.html>
  - HTML
  - JSON
  - ODS: OpenDocument spreadsheet
  - CSV, TSV: comma- or tab-separated values
  - XLS: Microsoft Excel spreadsheet
  - XLSX: OOXML spreadsheet
  - YAML

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=python-csb43

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	# TODO: evtl. regenerate from code
	#rm -rf doc/html doc/source/*.rst
	#sphinx-apidoc -o doc/source csb43/
	sphinx-build doc/source build/html

## python-csb43 0.10.0+dfsg

=== debian/changelog ===
python-csb43 (0.10.0+dfsg-2) unstable; urgency=medium

  * Revert "Add 01-disable_dynamic_versioning.patch."
  * Add python3-pytest and python3-setuptools-scm to Build-Depends.
  * Use SETUPTOOLS_SCM_PRETEND_VERSION to avoid setuptools-scm messing
    with the version.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 26 Aug 2024 11:18:01 +0200

python-csb43 (0.10.0+dfsg-1) unstable; urgency=medium

  * Bump the Standards-Version to 4.6.2, no changes needed.
  * Merging upstream version 0.10.0.
  * Update copyright.
  * Update debian copyright year.
  * Add python3-deprecated to Build-Depends.
  * README.rst changed to README.md.
  * Add 01-disable_dynamic_versioning.patch.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 03 Jul 2024 12:54:52 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,19 @@
 Uploaders: Mathias Behrle <mathiasb@m9s.biz>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               python3-deprecated,
                python3-all,
                python3-babel,
                python3-lxml,
                python3-pycountry,
+               python3-pytest,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-sphinx,
                python3-tablib,
                python3-wheel,
                python3-yaml
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2.0
 Testsuite: autopkgtest-pkg-python
 Homepage: https://bitbucket.org/wmj/csb43
 Vcs-Git: https://salsa.debian.org/tryton-team/python-csb43.git

## python-csb43 0.10.1+dfsg

=== debian/changelog ===
python-csb43 (0.10.1+dfsg-2) unstable; urgency=medium

  * Add 01-setuptools-scm.patch (Closes: #1101629).
  * Use /usr/share/dpkg/pkg-info.mk instead of dpkg-parsechangelog.
  * Use pybuild-plugin-pyproject for building.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 31 Mar 2025 11:44:25 +0200

python-csb43 (0.10.1+dfsg-1) unstable; urgency=medium

  * Bump the Standards-Version to 4.7.0, no changes needed.
  * Merging upstream version 0.10.1.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 06 Nov 2024 12:57:28 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Uploaders: Mathias Behrle <mathiasb@m9s.biz>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-deprecated,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-babel,
+               python3-deprecated,
                python3-lxml,
                python3-pycountry,
                python3-pytest,
@@ -17,7 +18,7 @@
                python3-tablib,
                python3-wheel,
                python3-yaml
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.0.0
 Testsuite: autopkgtest-pkg-python
 Homepage: https://bitbucket.org/wmj/csb43
 Vcs-Git: https://salsa.debian.org/tryton-team/python-csb43.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #! /usr/bin/make -f
 
+include /usr/share/dpkg/pkg-info.mk
+
 export PYBUILD_NAME=python-csb43
+export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

=== debian/tests/control ===
Depends: python3-csb43
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import csb43 ; print(csb43)"

Depends: python3-csb43,
         python3-lxml,
         python3-pycountry,
         python3-pytest,
         python3-tablib,
         python3-yaml
Tests: run-testsuite3

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://pypi.debian.net/csb43/csb43-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
